cURL
curl --request GET \
--url http://127.0.0.1:3333/v3/logs/bots/{botId}/logs \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/logs/bots/{botId}/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/logs/bots/{botId}/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"logs": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"resultId": "<string>",
"status": "<string>",
"description": "<string>",
"details": "<string>",
"context": "<string>"
}
],
"total": 123,
"nextCursor": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Observability
Get Bot Logs
Get logs for a bot.
GET
/
v3
/
logs
/
bots
/
{botId}
/
logs
cURL
curl --request GET \
--url http://127.0.0.1:3333/v3/logs/bots/{botId}/logs \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/logs/bots/{botId}/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/logs/bots/{botId}/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"logs": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"resultId": "<string>",
"status": "<string>",
"description": "<string>",
"details": "<string>",
"context": "<string>"
}
],
"total": 123,
"nextCursor": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Required range:
1 <= x <= 500Required range:
x >= 0